### Constructor

# WebKit2WebExtension ContextMenuItem new

#### Declaration [src]

    WebKitContextMenuItem*
    webkit_context_menu_item_new (
      GtkAction* action
    )

#### Description [src]

Creates a new `WebKitContextMenuItem` for the given `action`.

Deprecated since: | 2.18
Use `webkit_context_menu_item_new_from_gaction()` instead.

#### Parameters

`action` | `GtkAction`
| A `GtkAction`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `WebKitContextMenuItem`
| The newly created `WebKitContextMenuItem` object.
| The data is owned by the called function.